from metadata.sdk import configurefrom metadata.sdk.entities import Chartsconfigure( host="https://your-company.open-metadata.org/api", jwt_token="your-jwt-token")# Get by IDchart = Charts.retrieve("2dde4b53-a577-424b-bbaa-18ac32eca8a9")print(f"{chart.fullyQualifiedName.root}: {chart.displayName}")# Get by ID with fieldschart = Charts.retrieve( "2dde4b53-a577-424b-bbaa-18ac32eca8a9", fields=["owners", "tags"])# Get by fully qualified namechart = Charts.retrieve_by_name("sample_superset.114")# Get by name with fieldschart = Charts.retrieve_by_name( "sample_superset.114", fields=["owners", "tags", "domains"])
import org.openmetadata.schema.entity.data.Chart;// client is an initialized OpenMetadataClient.// Get by IDChart chart = client.charts().get("2dde4b53-a577-424b-bbaa-18ac32eca8a9");// Get by ID with fieldsChart chartWithFields = client.charts().get( "2dde4b53-a577-424b-bbaa-18ac32eca8a9", "owners,tags");// Get by fully qualified nameChart chartByName = client.charts().getByName( "sample_superset.114");// Get by name with fieldsChart chartByNameWithFields = client.charts().getByName( "sample_superset.114", "owners,tags,domains");
# Get by IDcurl "{base_url}/api/v1/charts/2dde4b53-a577-424b-bbaa-18ac32eca8a9" \ -H "Authorization: Bearer {access_token}"# Get by ID with fieldscurl "{base_url}/api/v1/charts/2dde4b53-a577-424b-bbaa-18ac32eca8a9?fields=owners,tags,domains" \ -H "Authorization: Bearer {access_token}"# Get by fully qualified namecurl "{base_url}/api/v1/charts/name/sample_superset.114" \ -H "Authorization: Bearer {access_token}"# Get by name with fieldscurl "{base_url}/api/v1/charts/name/sample_superset.114?fields=owners,tags,domains" \ -H "Authorization: Bearer {access_token}"
from metadata.sdk import configurefrom metadata.sdk.entities import Chartsconfigure( host="https://your-company.open-metadata.org/api", jwt_token="your-jwt-token")# Get by IDchart = Charts.retrieve("2dde4b53-a577-424b-bbaa-18ac32eca8a9")print(f"{chart.fullyQualifiedName.root}: {chart.displayName}")# Get by ID with fieldschart = Charts.retrieve( "2dde4b53-a577-424b-bbaa-18ac32eca8a9", fields=["owners", "tags"])# Get by fully qualified namechart = Charts.retrieve_by_name("sample_superset.114")# Get by name with fieldschart = Charts.retrieve_by_name( "sample_superset.114", fields=["owners", "tags", "domains"])
import org.openmetadata.schema.entity.data.Chart;// client is an initialized OpenMetadataClient.// Get by IDChart chart = client.charts().get("2dde4b53-a577-424b-bbaa-18ac32eca8a9");// Get by ID with fieldsChart chartWithFields = client.charts().get( "2dde4b53-a577-424b-bbaa-18ac32eca8a9", "owners,tags");// Get by fully qualified nameChart chartByName = client.charts().getByName( "sample_superset.114");// Get by name with fieldsChart chartByNameWithFields = client.charts().getByName( "sample_superset.114", "owners,tags,domains");
# Get by IDcurl "{base_url}/api/v1/charts/2dde4b53-a577-424b-bbaa-18ac32eca8a9" \ -H "Authorization: Bearer {access_token}"# Get by ID with fieldscurl "{base_url}/api/v1/charts/2dde4b53-a577-424b-bbaa-18ac32eca8a9?fields=owners,tags,domains" \ -H "Authorization: Bearer {access_token}"# Get by fully qualified namecurl "{base_url}/api/v1/charts/name/sample_superset.114" \ -H "Authorization: Bearer {access_token}"# Get by name with fieldscurl "{base_url}/api/v1/charts/name/sample_superset.114?fields=owners,tags,domains" \ -H "Authorization: Bearer {access_token}"
Get a single chart by its unique ID or fully qualified name.
Get by ID
string
required
UUID of the chart to retrieve.
string
Comma-separated list of fields to include, for example owners,tags,followers,votes,extension,domains,sourceHash.
string
default:"non-deleted"
Include all, deleted, or non-deleted entities.
Get by Fully Qualified Name
Use GET /v1/charts/name/{fqn} to retrieve by fully qualified name.
string
required
Fully qualified name of the chart, for example sample_superset.114.
string
Comma-separated list of fields to include: owners, tags, followers, votes, extension, domains, sourceHash.
string
default:"non-deleted"
Include all, deleted, or non-deleted entities.
GET /v1/charts/{id}
from metadata.sdk import configurefrom metadata.sdk.entities import Chartsconfigure( host="https://your-company.open-metadata.org/api", jwt_token="your-jwt-token")# Get by IDchart = Charts.retrieve("2dde4b53-a577-424b-bbaa-18ac32eca8a9")print(f"{chart.fullyQualifiedName.root}: {chart.displayName}")# Get by ID with fieldschart = Charts.retrieve( "2dde4b53-a577-424b-bbaa-18ac32eca8a9", fields=["owners", "tags"])# Get by fully qualified namechart = Charts.retrieve_by_name("sample_superset.114")# Get by name with fieldschart = Charts.retrieve_by_name( "sample_superset.114", fields=["owners", "tags", "domains"])
import org.openmetadata.schema.entity.data.Chart;// client is an initialized OpenMetadataClient.// Get by IDChart chart = client.charts().get("2dde4b53-a577-424b-bbaa-18ac32eca8a9");// Get by ID with fieldsChart chartWithFields = client.charts().get( "2dde4b53-a577-424b-bbaa-18ac32eca8a9", "owners,tags");// Get by fully qualified nameChart chartByName = client.charts().getByName( "sample_superset.114");// Get by name with fieldsChart chartByNameWithFields = client.charts().getByName( "sample_superset.114", "owners,tags,domains");
# Get by IDcurl "{base_url}/api/v1/charts/2dde4b53-a577-424b-bbaa-18ac32eca8a9" \ -H "Authorization: Bearer {access_token}"# Get by ID with fieldscurl "{base_url}/api/v1/charts/2dde4b53-a577-424b-bbaa-18ac32eca8a9?fields=owners,tags,domains" \ -H "Authorization: Bearer {access_token}"# Get by fully qualified namecurl "{base_url}/api/v1/charts/name/sample_superset.114" \ -H "Authorization: Bearer {access_token}"# Get by name with fieldscurl "{base_url}/api/v1/charts/name/sample_superset.114?fields=owners,tags,domains" \ -H "Authorization: Bearer {access_token}"